play.plugins

## Class EnhancerPlugin

- java.lang.Object
- - play.PlayPlugin
  - - play.plugins.EnhancerPlugin

All Implemented Interfaces:
  java.lang.Comparable<PlayPlugin>

    public class EnhancerPlugin
    extends PlayPlugin

Plugin used for core tasks

### Nested Class Summary

### Nested classes/interfaces inherited from class play.PlayPlugin

`PlayPlugin.Filter<T>`

### Field Summary

### Fields inherited from class play.PlayPlugin

`index`

### Constructor Summary

Constructors
Constructor and Description
`EnhancerPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Enhancer[]` `defaultEnhancers()`
`void` `enhance(ApplicationClasses.ApplicationClass applicationClass)` Enhance this class

### Methods inherited from class play.PlayPlugin

`addMimeTypes, addTemplateExtensions, afterActionInvocation, afterApplicationStart, afterFixtureLoad, afterInvocation, beforeActionInvocation, beforeDetectingChanges, beforeInvocation, bind, bind, bind, bindBean, compareTo, compileAll, compileSources, detectChange, detectClassesChange, getFilter, getFunctionalTests, getJsonStatus, getMessage, getStatus, getUnitTests, hasFilter, invocationFinally, loadTemplate, modelFactory, onActionInvocationFinally, onActionInvocationResult, onApplicationReady, onApplicationStart, onApplicationStop, onClassesChange, onConfigurationRead, onEvent, onInvocationException, onInvocationSuccess, onLoad, onRequestRouting, onRoutesLoaded, onTemplateCompilation, overrideTemplateSource, postEvent, rawInvocation, routeRequest, runTest, serveStatic, unBind, willBeValidated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnhancerPlugin

    public EnhancerPlugin()

### Method Detail

#### defaultEnhancers

    protected Enhancer[] defaultEnhancers()

#### enhance

    public void enhance(ApplicationClasses.ApplicationClass applicationClass)

Description copied from class: `PlayPlugin`
Enhance this class

Overrides:
  `enhance` in class `PlayPlugin`
Parameters:
  `applicationClass` - the class to enhance